SSS_SEED(8)

NAME
sss_seed - füllt den SSSD-Zwischenspeicher mit einem Benutzer

SYNOPSIS

sss_seed [Optionen] -D DOMAIN -n BENUTZER

BESCHREIBUNG

sss_seed füllt den SSSD-Zwischenspeicher mit einem Benutzereintrag und einem temporären Passwort. Falls bereits ein Benutzereintrag im SSSD-Zwischenspeicher vorhanden ist, wird der Eintrag mit dem temporären Passwort aktualisiert.

OPTIONEN

-D,--domain DOMAIN
    stellt den Namen der Doamin bereit, in der der Benutzer Mitglied ist. Die Domain wird auch zur Abfrage von Benutzerinformationen verwendet. Sie muss in der »sssd.conf« konfiguriert sein. Die Option DOMAIN muss bereitgestellt werden. Von der Domain geholte Informationen setzen das, was in den Optionen bereitgestellt wurde, außer Kraft.

-n,--username BENUTZER
    der Benutzername des Eintrags, der im Zwischenspeicher erstellt oder verändert werden soll. Die Option BENUTZER muss bereitgestellt werden.

-u,--uid UID
    setzt die UID des Benutzers auf UID.

-g,--gid GID
    setzt die GID des Benutzers auf GID.

-c,--gecos KOMMENTAR
    irgendeine Zeichenkette, die den Benutzer beschreibt. Dieses Feld wird oft für den vollständigen Namen des Benutzers verwendet.

-h,--home HOME_VERZ
    setzt das Home-Verzeichnis des Benutzers auf HOME_VERZ.

-s,--shell SHELL
    setzt die Anmelde-Shell des Benutzers auf SHELL.

-i,--interactive
    interaktiver Modus zur Eingabe von Benutzerinformationen. Diese Option wird nur nach Informationen fragen, die nicht von den Optionen bereitgestellt oder in der Domain geholt werden.

-p,--password-file PASSWORTDATEI
    gibt die Datei an, aus der das Passwort des Benutzers gelesen wird (ist es nicht angegeben, wird nach dem Passwort gefragt).

-?,--help
    zeigt den Hilfetext und beendet sich.

ANMERKUNGEN

Die Länge des Passworts (oder die Größe der mit der Option -p oder --password-file angegebenen Datei) muss kleiner oder gleich PASS_MAX Byte sein (64 Byte auf Systemen ohne global definiertem Wert für PASS_MAX).

SIEHE AUCH

sssd(8), sssd.conf(5), sssd-ldap(5), sssd-krb5(5), sssd-simple(5), sssd-ipa(5), sssd-ad(5), sssd-files(5), sssd-sudo(5), sssd-secrets(5), sssd-session-recording(5), sss_cache(8), sss_debuglevel(8), sss_obfuscate(8), sss_seed(8), sssd_krb5_locator_plugin(8), sss_ssh_authorizedkeys(8), sss_ssh_knownhostsproxy(8), sssd-ifp(5), pam_sss(8). sss_rpcidmapd(5)

AUTHORS

The SSSD upstream - https://pagure.io/SSSD/sssd/